Bug 238691 - JavaScript editor uses camelCase navigation even when disabled
JavaScript editor uses camelCase navigation even when disabled
Status: NEW
Product: javascript
Classification: Unclassified
Component: Editor
8.0
PC Windows 7 x64
: P3 with 7 votes (vote)
: TBD
Assigned To: Petr Pisl
issues@javascript
:
: 247653 248473 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-22 10:51 UTC by NukemBy
Modified: 2015-07-09 02:04 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NukemBy 2013-11-22 10:51:19 UTC
I have unchecked "Options->Editor->General->Enable Camel Case Navigation" and it does work (for example) for Java sources, but JavaScript editor still stops at each sub-word in identifiers when pressing CTRL+<LEFT or RIGHT> button.
Comment 1 Vladimir Riha 2013-11-25 11:38:01 UTC
Reproducible

Product Version: NetBeans IDE Dev (Build 201311250002)
Java: 1.7.0_45; Java HotSpot(TM) Client VM 24.45-b08
Runtime: Java(TM) SE Runtime Environment 1.7.0_45-b18
System: Linux version 3.2.0-48-generic-pae running on i386; UTF-8; en_US (nb)
Comment 2 Bazilio 2014-01-16 07:32:51 UTC
I can confirm that.
Also in PHP sources camel case navigation not disabled.

Product Version: NetBeans IDE 7.4 (Build 201310111528)
Updates: NetBeans IDE is updated to version NetBeans 7.4 Patch 2
Java: 1.7.0_51; Java HotSpot(TM) 64-Bit Server VM 24.51-b03
Runtime: Java(TM) SE Runtime Environment 1.7.0_51-b13
System: Linux version 3.11.0-15-generic running on amd64; UTF-8; en_US (nb)
Comment 3 rrebennack 2014-03-25 20:27:56 UTC
Looks like this bug still exists in v8.0.

Product Version: NetBeans IDE 8.0 (Build 201403101706)
Java: 1.7.0_17; Java HotSpot(TM) 64-Bit Server VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b02
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
Comment 4 hugoofab 2014-06-16 13:07:34 UTC
I have unchecked "Options->Editor->General->Enable Camel Case Navigation" and it does not work for PHP editor still stops at each sub-word in identifiers when pressing CTRL+<LEFT or RIGHT> button.
Comment 5 Ondrej Brejla 2014-06-16 13:35:40 UTC
Do not reassign unresolved issues. Another component -> another issue. You can file new issue for PHP if there is not yet (I think that there is some). Thanks.
Comment 6 Vladimir Riha 2014-10-06 05:51:31 UTC
*** Bug 247653 has been marked as a duplicate of this bug. ***
Comment 7 Vladimir Riha 2014-11-07 07:48:23 UTC
*** Bug 248473 has been marked as a duplicate of this bug. ***
Comment 8 matthies 2015-04-30 12:08:11 UTC
It would be really helpful to have this fixed.
Comment 9 tpalmacarlos 2015-07-01 12:49:10 UTC
Confirmed for Netbeans 7.4 on Windows. For PHP files. Would be great to get this fixed.
Comment 10 landoncope 2015-07-09 02:04:41 UTC
I would also love to see this fixed. Still experiencing it in latest version.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo